Bug 495921 - Limit results returned from Errata Search by Advisory
Limit results returned from Errata Search by Advisory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
wes hayutin
:
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-04-15 11:11 EDT by John Matthews
Modified: 2009-09-10 15:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-04-15 11:11:56 EDT
Description of problem:
Errata search by "advisory" returns a lot of results, this is because all search data share a common pattern of "RHxA".  Therefore when we search for a specific advisory "RHBA-2007:0113"  we get that result on top with a score of 1.0, then after 10 matches scores drop and results 11 - 500 are between .40 and .10.  

Wes suggested limiting the results further.

Implementation will create a configuration variable in rhn-search.conf for "errata.advisory_search.threshold"  We'll default this to .30.  A user can customize this if they want different behavior.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Sync rhel5 content from webqa/hosted

Steps to Reproduce:
1. Search on advisory "RHBA-2007:0113" 
  
Actual results:
See 501 results

Expected results:
Closer to around 40-60 results.  This will change based on the exact search, but .30 will probably limit it to somewhere around 40-60 results.

Additional info:
Comment 1 John Matthews 2009-04-15 11:13:37 EDT
Correction, below is what the configuration variable is in rhn-search.conf

search.errata.advisory_score_threshold=.30
Comment 2 John Matthews 2009-04-15 12:10:38 EDT
These are the 2 config params added along with their current defaults.
search.errata_score_threshold=.20
search.errata.advisory_score_threshold=.30

search.errata_score_threshold is for all errata searches, except "advisory".

search.errata.advisory_score_threshold is for errata advisory matches.

You can refer to the log file for rhn-search, /var/log/rhn/search/rhn_search_daemon.log and look at the scores for the results to see when the score limit is hit and results are dropped.
Comment 4 wes hayutin 2009-05-21 13:36:21 EDT
verified 5/20
Comment 5 John Sefler 2009-09-03 14:35:54 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

# vi /etc/rhn/search/rhn_search.conf
Set search.errata.advisory_score_threshold=.20
#/etc/init.d/rhn-search restart

Errata > Advanced Search > Search For: RHBA-2007:0113
What to search: Erratum Advisory

returned 495 results

What to search: All Fields

returned 3 results

# vi /etc/rhn/search/rhn_search.conf
Set search.errata.advisory_score_threshold=.30
# /etc/init.d/rhn-search restart

Errata > Advanced Search > Search For: RHBA-2007:0113
What to search: Erratum Advisory

returned 331 results

What to search: All Fields

returned 3 results


# vi /etc/rhn/search/rhn_search.conf
Set search.errata.advisory_score_threshold=.40
# /etc/init.d/rhn-search restart

Errata > Advanced Search > Search For: RHBA-2007:0113
What to search: Erratum Advisory

returned 45 results

What to search: All Fields

returned 3 results




The search results for an Erratum Advisory can be fine tuned with the search.errata.advisory_score_threshold without affecting the search results using All Fields.

moving to RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 15:32:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.